Bug 99231 - make bzImage errors in block_dev.c with "Internal error : segmentation
make bzImage errors in block_dev.c with "Internal error : segmentation
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: gcc (Show other bugs)
7.3
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Jakub Jelinek
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-07-16 06:28 EDT by ian diddams
Modified: 2007-04-18 12:55 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-03 20:18:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description ian diddams 2003-07-16 06:28:55 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; WinNT4.0; en-US; rv:1.0.2) Gecko/20030208
Netscape/7.02

Description of problem:
Vanilla install of 7.3 via kickstart with @Everything.

need to increase user address space to 3.5 GB.

copied /usr/src/linux-2.4.18-3 to <same>-inst2.  Within the inst2 directory

- patched  using patch -p1 < 2.4.18_003.5G_address_space_4 (file predecessor in
this role had obtained from ... ?)  Patching complains that patch already
installed - if I accept defaults it finally patches memory.c (or somesuch).  If
instead I answer "y" to the first prompt it flies through and patches same as
above mentioned.  If I don;t patch I do not have the 3.5Gb option (see below) in
make xconfig.

- make mrproper (ok)
- make xconfig; load config from file kernel-2.4.18-i686-smp.config
(in configs); alter high memory support to 4 Gb; alter user address space 3.5
Gb; save and exit
- make dep (ok)
- make clean (ok)
- make bzImage ...  make errors with

....
cc  -D__KERNEL__ -I/usr/src/linux-2.4.18-3-inst2/include -Wall -Wstrict-prototyp
es -Wno-trigraphs -O2 -fomit-frame-pointer -fno-strict-aliasing -fno-common -Wno
-unused -pipe -mpreferred-stack-boundary=2 -march=i686   -DKBUILD_BASENAME=block
_dev  -c -o block_dev.o block_dev.c
block_dev.c: In function `blkdev_ioctl':
block_dev.c:651: Internal error: Segmentation fault.
Please submit a full bug report.
See <URL:http://bugzilla.redhat.com/bugzilla/> for instructions.
make[2]: *** [block_dev.o] Error 1
make[2]: Leaving directory `/usr/src/linux-2.4.18-3-inst2/fs'
make[1]: *** [first_rule] Error 2
make[1]: Leaving directory `/usr/src/linux-2.4.18-3-inst2/fs'
make: *** [_dir_fs] Error 2                                 

My predecessor completed this fine on several similar boxes to this one...


Version-Release number of selected component (if applicable):
kernel-2.4.18-3

How reproducible:
Always

Steps to Reproduce:
1)Vanilla install of 7.3 via kickstart with @Everything.

2)copied /usr/src/linux-2.4.18-3 to <same>-inst2.  Within the inst2 directory

3 patched  using patch -p1 < 2.4.18_003.5G_address_space_4 (file predecessor in
this role had obtained from ... ?)  Patching complains that patch already
installed - if I accept defaults it finally patches memory.c (or somesuch).  If
instead I answer "y" to the first prompt it flies through and patches same as
above mentioned.  If I don;t patch I do not have the 3.5Gb option (see below) in
make xconfig.

4) make mrproper
5) make xconfig; load config from file kernel-2.4.18-i686-smp.config
(in configs); alter high memory support to 4 Gb; alter user address space 3.5
Gb; save and exit
6)make dep 
7)make clean 
8)make bzImage

Actual Results:  cc  -D__KERNEL__ -I/usr/src/linux-2.4.18-3-inst2/include -Wall
-Wstrict-prototyp
es -Wno-trigraphs -O2 -fomit-frame-pointer -fno-strict-aliasing -fno-common -Wno
-unused -pipe -mpreferred-stack-boundary=2 -march=i686   -DKBUILD_BASENAME=block
_dev  -c -o block_dev.o block_dev.c
block_dev.c: In function `blkdev_ioctl':
block_dev.c:651: Internal error: Segmentation fault.
Please submit a full bug report.
See <URL:http://bugzilla.redhat.com/bugzilla/> for instructions.
make[2]: *** [block_dev.o] Error 1
make[2]: Leaving directory `/usr/src/linux-2.4.18-3-inst2/fs'
make[1]: *** [first_rule] Error 2
make[1]: Leaving directory `/usr/src/linux-2.4.18-3-inst2/fs'
make: *** [_dir_fs] Error 2                                 

Expected Results:  presumably a nice happy and clean finish to the make :-)

Additional info:
Comment 1 Richard Henderson 2004-10-03 20:18:41 EDT
We certainly can't debug a problem with a kernel patched with something
random and you don't know where you got it.  If you file another bug in
the future, attach the output of --save-temps.

Note You need to log in before you can comment on or make changes to this bug.